Manifest-Version: 1.0
Bnd-LastModified: 1728057227681
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Organizations Service
Bundle-SymbolicName: com.liferay.organizations.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.33.hotfix-6029-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.headless.admin.user.dto.v1_0;version="8.8",com.liferay.headless.ad
 min.user.resource.v1_0;version="11.7",com.liferay.object.field.builde
 r;version="2.4",com.liferay.object.model;version="8.6",com.liferay.ob
 ject.system;version="16.1",com.liferay.osgi.service.tracker.collectio
 ns.map;version="2.3",com.liferay.petra.function;version="1.5",com.lif
 eray.petra.sql.dsl;version="1.2",com.liferay.petra.string;version="1.
 7",com.liferay.portal.configuration.metatype.annotations;version="1.8
 ",com.liferay.portal.configuration.metatype.bnd.util;version="3.0",co
 m.liferay.portal.configuration.persistence.listener;version="1.1",com
 .liferay.portal.configuration.persistence.upgrade;version="1.0",com.l
 iferay.portal.kernel.configuration;version="7.0",com.liferay.portal.k
 ernel.dao.jdbc;version="10.0",com.liferay.portal.kernel.dao.orm;versi
 on="12.0",com.liferay.portal.kernel.exception;version="13.3",com.life
 ray.portal.kernel.feature.flag;version="2.0",com.liferay.portal.kerne
 l.language;version="12.0",com.liferay.portal.kernel.log;version="8.0"
 ,com.liferay.portal.kernel.model;version="30.6",com.liferay.portal.ke
 rnel.search;version="20.2",com.liferay.portal.kernel.search.filter;ve
 rsion="1.0",com.liferay.portal.kernel.search.generic;version="3.0",co
 m.liferay.portal.kernel.security.permission;version="7.0",com.liferay
 .portal.kernel.security.permission.resource;version="2.3",com.liferay
 .portal.kernel.service;version="26.0",com.liferay.portal.kernel.servi
 ce.permission;version="7.0",com.liferay.portal.kernel.upgrade;version
 ="21.2",com.liferay.portal.kernel.util;version="65.0",com.liferay.por
 tal.search.batch;version="2.0",com.liferay.portal.search.contributor.
 sort;version="1.1",com.liferay.portal.search.query;version="1.7",com.
 liferay.portal.search.spi.model.index.contributor;version="1.2",com.l
 iferay.portal.search.spi.model.index.contributor.helper;version="1.0"
 ,com.liferay.portal.search.spi.model.query.contributor;version="1.1",
 com.liferay.portal.search.spi.model.query.contributor.helper;version=
 "2.0",com.liferay.portal.search.spi.model.registrar;version="2.1",com
 .liferay.portal.search.spi.model.registrar.contributor;version="1.0",
 com.liferay.portal.search.spi.model.result.contributor;version="1.1",
 com.liferay.portal.upgrade.registry;version="5.0",com.liferay.portal.
 verify,com.liferay.portal.vulcan.extension,com.liferay.users.admin.ke
 rnel.organization.types;version="1.0",org.osgi.framework;version="1.8
 ",org.osgi.service.cm;version="1.6"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Organizations
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.organizations.internal.configuration,com.
 liferay.organizations.internal.configuration.persistence.listener,com
 .liferay.organizations.internal.constants,com.liferay.organizations.i
 nternal.object.system,com.liferay.organizations.internal.search,com.l
 iferay.organizations.internal.search.contributor.sort,com.liferay.org
 anizations.internal.search.spi.model.index.contributor,com.liferay.or
 ganizations.internal.search.spi.model.query.contributor,com.liferay.o
 rganizations.internal.search.spi.model.result.contributor,com.liferay
 .organizations.internal.security.permission.resource,com.liferay.orga
 nizations.internal.settings,com.liferay.organizations.internal.upgrad
 e.registry,com.liferay.organizations.internal.upgrade.v1_0_0,com.life
 ray.organizations.internal.verify
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .object.system.SystemObjectDefinitionManager";uses:="com.liferay.obje
 ct.system",osgi.service;objectClass:List<String>="com.liferay.organiz
 ations.internal.configuration.OrganizationTypeConfigurationWrapper";u
 ses:="com.liferay.organizations.internal.configuration",osgi.service;
 objectClass:List<String>="com.liferay.portal.configuration.persistenc
 e.listener.ConfigurationModelListener";uses:="com.liferay.portal.conf
 iguration.persistence.listener",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.search.BaseSearcher";uses:="com.liferay.p
 ortal.kernel.search",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.security.permission.resource.ModelResourcePermission
 ";uses:="com.liferay.portal.kernel.security.permission.resource",osgi
 .service;objectClass:List<String>="com.liferay.portal.search.contribu
 tor.sort.SortFieldNameTranslator";uses:="com.liferay.portal.search.co
 ntributor.sort",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.spi.model.index.contributor.ModelDocumentContributor";use
 s:="com.liferay.portal.search.spi.model.index.contributor",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.search.spi.model.inde
 x.contributor.ModelIndexerWriterContributor";uses:="com.liferay.porta
 l.search.spi.model.index.contributor",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.search.spi.model.query.contributor.Keyword
 QueryContributor";uses:="com.liferay.portal.search.spi.model.query.co
 ntributor",osgi.service;objectClass:List<String>="com.liferay.portal.
 search.spi.model.query.contributor.ModelPreFilterContributor";uses:="
 com.liferay.portal.search.spi.model.query.contributor",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.search.spi.model.result.c
 ontributor.ModelSummaryContributor";uses:="com.liferay.portal.search.
 spi.model.result.contributor",osgi.service;objectClass:List<String>="
 com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses:="co
 m.liferay.portal.upgrade.registry",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.verify.VerifyProcess";uses:="com.liferay.port
 al.verify",osgi.service;objectClass:List<String>="com.liferay.users.a
 dmin.kernel.organization.types.OrganizationTypesSettings";uses:="com.
 liferay.users.admin.kernel.organization.types"
Require-Capability: osgi.extender;filter :="(&(osgi.extender=osgi.conf
 igurator)(version>=1.0)(!(version>=2.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.headless.admin.user.resource.v1_0.OrganizationRe
 source$Factory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.configuration.persistence.upgrade.ConfigurationUp
 gradeStepFactory)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.language.Language)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.model.Rele
 ase)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.ClassNameLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Cou
 ntryService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.OrganizationLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.RegionService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.permission.OrganizationPerm
 ission)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.util.Props)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.batch.DynamicQueryBatchInde
 xingActionableFactory)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.query.QueryHelper)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.search.spi.m
 odel.index.contributor.ModelIndexerWriterContributor)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.search.spi.
 model.registrar.ModelSearchRegistrarHelper)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.search.spi.model.resu
 lt.contributor.ModelSummaryContributor)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.vulcan.extension.Extensio
 nProviderRegistry)";effective:=active,osgi.service;filter:="(objectCl
 ass=org.osgi.service.cm.ConfigurationAdmin)";effective:=active,osgi.e
 xtender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(v
 ersion>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.organizations.internal.configu
 ration.OrganizationTypeConfigurationWrapper.xml,OSGI-INF/com.liferay.
 organizations.internal.configuration.persistence.listener.Organizatio
 nTypeConfigurationModelListener.xml,OSGI-INF/com.liferay.organization
 s.internal.object.system.OrganizationSystemObjectDefinitionManager.xm
 l,OSGI-INF/com.liferay.organizations.internal.search.OrganizationSear
 chRegistrar.xml,OSGI-INF/com.liferay.organizations.internal.search.Or
 ganizationSearcher.xml,OSGI-INF/com.liferay.organizations.internal.se
 arch.contributor.sort.OrganizationSortFieldNameTranslator.xml,OSGI-IN
 F/com.liferay.organizations.internal.search.spi.model.index.contribut
 or.OrganizationModelDocumentContributor.xml,OSGI-INF/com.liferay.orga
 nizations.internal.search.spi.model.index.contributor.OrganizationMod
 elIndexerWriterContributor.xml,OSGI-INF/com.liferay.organizations.int
 ernal.search.spi.model.query.contributor.OrganizationKeywordQueryCont
 ributor.xml,OSGI-INF/com.liferay.organizations.internal.search.spi.mo
 del.query.contributor.OrganizationModelPreFilterContributor.xml,OSGI-
 INF/com.liferay.organizations.internal.search.spi.model.result.contri
 butor.OrganizationModelSummaryContributor.xml,OSGI-INF/com.liferay.or
 ganizations.internal.security.permission.resource.OrganizationModelRe
 sourcePermission.xml,OSGI-INF/com.liferay.organizations.internal.sett
 ings.OrganizationTypesSettingsImpl.xml,OSGI-INF/com.liferay.organizat
 ions.internal.upgrade.registry.OrganizationServiceUpgradeStepRegistra
 tor.xml,OSGI-INF/com.liferay.organizations.internal.verify.Organizati
 onServiceVerifyProcess.xml
Tool: Bnd-5.3.0.202102221516

